Subject: bug#222 closed by Arne Wichmann <[email-masked]> (bug #222 closing - no info for 3 years)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Fri, 10 Nov 2023 19:08:02 +0000

This is an automatic notification regarding your bug report
which was filed against the eudev package:

#222: hdparm rules use DEVNAME only

It has been closed by Arne Wichmann <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Arne Wichmann <[email-masked]> by
replying to this email.

-- 
222: https://bugs.devuan.org/cgi/bugreport.cgi?bug=222
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: bug #222 closing - no info for 3 years
From: Arne Wichmann <[email-masked]>
To: [email-masked]
Date: Fri, 10 Nov 2023 20:01:39 +0100

If this is still not solved please reopen.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Y Plentyn ([email-masked])

Subject: hdparm rules use DEVNAME only
From: Ralph Ronnquist <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 25 Jun 2018 21:56:31 +1000

Package: eudev
Version: 3.2.2-13

Lodged on behalf of @kalle-delhaye:
https://dev1galaxy.org/viewtopic.php?pid=10379#p10379

""""
One week later - I've found the (or my?) fault.

When I upgraded my server from Debian Jessie to Devuan Ascii i reused 
the working settings in hdparm.conf.
But in Ascii, hdparm.conf is read by a script started by a eudev rule 
and is working with /dev/sd? definitions only.
No /dev/disk/by-label, no /dev/disk/by-uuid or any other links in /dev/disk.

That's because the little eudev script reading hdparm.conf is using only 
the $DEVNAME environment variable from eudev to parse the settings. And 
$DEVNAME is /dev/sda, for example.

The sd? links in /dev can change for a specific disk, so I think its not 
a good idea to remove the by-label or by-uuid posibilities from hdparm.conf.
As a workaround you can make your own eudev rule for partitions using 
the variable $ID_FS_LABEL or $ID_FS_UUID for example.
I will try this when I find some time.
""""

Ralph.